i have an imac with a intel core 2 duo @ 2.16GHz and 2 GB of 667MHz ram. with version 10.5.8 can i upgrade to 10.6 ?

Back To Product

Follow this Question

1 Answer from the Community

  • Answer


    Snow Leopard only needs a Mac with an Intel processor and with at least 1GB of RAM.

    Was this useful? Answer 1

    4 of 4 people found this useful

Related Questions